Deletes Loyalty Adjustment Reason by id
Deletes Loyalty Adjustment Reason by id
Path Parameters
Loyalty Adjustment Reason id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Loyalty Adjustment Reason deleted
Path Parameters
Headers
loyaltyadjustments
Creates Loyalty Adjustment
Sample request:
POST /loyaltyadjustments
{
"customer_id": 100001,
"customer_number": "100001",
"loyalty_points_delta": 50,
"adjustment_reason": {
"id": 1
}
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
EmptyExample
Response
application/json
Response
Loyalty Adjustment created
CustomerLoyaltyHistory
Customer Loyalty History model
Id
Created On
Order Item Model
Show Child Parameters
Loyalty Adjustment Reason Model
Show Child Parameters
Loyalty Points Delta
Loyalty Points Available
Ratio
Headers
Body
loyaltyhistory
Searches Loyalty History
Searches Loyalty History
Query Parameters
Filter by.
Available field name values: created_on, order_id, order_number, product_id, supplier_sku, adjustment_reason_id, loyalty_points_delta, loyalty_points_available, ratio.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: order_id:eq:1, supplier_sku:eq:test
Order by.
Available field name values: id, created_on, order_id, product_id, adjustment_reason, loyalty_points_delta.
Available direction values: asc, desc.
Example: id asc, name desc
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns Loyalty History data
LoyaltyHistory.PagingResponse
Loyalty History model